.wp-block-buba-blocks-posts img {
  display: block;
}
.wp-block-buba-blocks-posts.is-masonry {
  padding-left: 0;
}
.wp-block-buba-blocks-posts__masonry-wrapper {
  --masonry-gap: 20px;
  --masonry-columns: 4;
  --masonry-columns-table: 4;
  --masonry-columns-mobile: 4;
  margin-left: calc(var(--masonry-gap) * (-1));
  margin-bottom: calc(var(--masonry-gap) * (-1));
}
.wp-block-buba-blocks-posts__masonry-grid {
  display: flex;
  width: auto;
}
.wp-block-buba-blocks-posts__masonry-column {
  background-clip: padding-box;
}
.wp-block-buba-blocks-posts__masonry-item {
  margin-bottom: var(--masonry-gap);
  margin-left: var(--masonry-gap);
  width: calc(100% / var(--masonry-columns) - var(--masonry-gap));
  position: relative;
}
@media (max-width: 1100px) {
  .wp-block-buba-blocks-posts__masonry-item {
    width: calc(100% / var(--masonry-columns-table) - var(--masonry-gap));
  }
}
@media (max-width: 700px) {
  .wp-block-buba-blocks-posts__masonry-item {
    width: calc(100% / var(--masonry-columns-mobile) - var(--masonry-gap));
  }
}
.wp-block-buba-blocks-posts__masonry-background {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.3);
  display: block;
  z-index: 2;
  pointer-events: none;
}
.wp-block-buba-blocks-posts__masonry-title {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: calc(100% - 30px);
  margin: 0;
  color: white;
  pointer-events: none;
  z-index: 3;
  text-align: center;
}
.wp-block-buba-blocks-posts__masonry-title > div {
  color: white;
}
.wp-block-buba-blocks-posts__list {
  list-style: none;
}
.wp-block-buba-blocks-posts li a > div {
  display: inline;
}
.wp-block-buba-blocks-posts.is-grid {
  display: flex;
  padding: 0;
  flex-wrap: wrap;
}
.wp-block-buba-blocks-posts.is-grid li {
  margin: 0 1em 1.25em 0;
}
.wp-block-buba-blocks-posts.is-grid.aligncenter {
  justify-content: center;
  margin-left: 0;
}
.wp-block-buba-blocks-posts.is-grid.alignleft {
  justify-content: flex-start;
  float: none;
}
.wp-block-buba-blocks-posts.is-grid.alignright {
  justify-content: flex-end;
  float: none;
}
@media (min-width: 600px) {
  .wp-block-buba-blocks-posts.columns-2 li {
    width: calc(100%/2 - 2em);
  }
}
@media (min-width: 600px) {
  .wp-block-buba-blocks-posts.columns-3 li {
    width: calc(100%/3 - 2em);
  }
}
@media (min-width: 600px) {
  .wp-block-buba-blocks-posts.columns-4 li {
    width: calc(100%/4 - 2em);
  }
}
@media (min-width: 600px) {
  .wp-block-buba-blocks-posts.columns-5 li {
    width: calc(100%/5 - 1em);
  }
}
@media (min-width: 600px) {
  .wp-block-buba-blocks-posts.columns-6 li {
    width: calc(100%/6 - 1.04167em);
  }
}
.wp-block-buba-blocks-posts__post-author, .wp-block-buba-blocks-posts__post-date {
  display: block;
  color: #555;
  font-size: 0.8125em;
}
.wp-block-buba-blocks-posts__post-excerpt {
  margin-top: 0.5em;
  margin-bottom: 1em;
}
.wp-block-buba-blocks-posts__post-title {
  margin-bottom: 15px;
}
.wp-block-buba-blocks-posts__post-title a {
  color: #3b3b3b;
}
.wp-block-buba-blocks-posts__featured-image.alignleft {
  margin-right: 1em;
}
.wp-block-buba-blocks-posts__featured-image.aligncenter {
  margin-bottom: 1em;
  text-align: center;
  margin-left: -20px;
  margin-right: -20px;
}
.wp-block-buba-blocks-posts__featured-image.alignright {
  margin-left: 1em;
}
.wp-block-buba-blocks-posts__featured-image img {
  height: auto;
  width: 100%;
  object-fit: cover;
}
.wp-block-buba-blocks-posts__featured-image a {
  display: inline-block;
}
.wp-block-buba-blocks-posts__item {
  background: #e4e4e4;
  padding: 0 20px;
}

.buba-blocks-slider {
  --gap: 10px;
}
.buba-blocks-slider .slick-list {
  margin-left: calc(var(--gap) * (-1));
  margin-right: calc(var(--gap) * (-1));
}
.buba-blocks-slider .slick-arrow {
  z-index: 1;
}
.buba-blocks-slider .slick-arrow, .buba-blocks-slider .slick-dots button {
  background: transparent !important;
}
.buba-blocks-slider .slick-track {
  display: flex;
}
.buba-blocks-slider .slick-slide {
  height: inherit;
  display: flex !important;
}
.buba-blocks-slider .slick-slide > div {
  width: 100%;
  height: inherit;
  display: flex !important;
}
.buba-blocks-slider__item {
  padding: 0 var(--gap);
  display: flex !important;
}
.buba-blocks-slider__item .wp-block-buba-blocks-posts__featured-image img {
  display: inline;
}
.buba-blocks-slider__item > div {
  height: inherit;
  width: 100%;
}
